* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

:root {
    --color-primary: #004581;
    --color-secondary: #018ABD;
    --color-third: #97CBDC;
    --color-fourth: #DDE8F0;
    --color-white: #EEE;
    --color-back: #DDE8F0;
    --color-card: #018ABD;
    --color-text: #004581;
    --color-error: #F88;
}

body {  
    margin: 0;
    padding: 0;
    background: linear-gradient(180deg,#48e 0%, #4739fd 100%);
}

.app {
    display: grid;
    grid-template-rows: auto 1fr auto;
    min-height: 100vh;
    max-width: 1280px;
    margin: auto;
    font-family: "Gabarito", sans-serif;
}

.titulo {
    text-align: center;
    font-family: "Cairo", system-ui;
    font-size: 2rem;
    text-decoration: none;
    text-shadow: 2px 2px #333;
    color: #eee;
}



button {
    border-radius: .3rem;
    box-shadow: 1px 1px 2px #333;
}

    button:hover {

        border-style: outset;
        border: 2px solid #000;
        border-radius: .3rem;
        box-shadow: 1px 1px 2px #333;
    }

    button:active {
        box-shadow: 1px 1px 2px #eee;
    }

.btn {
    background: #f0f0f0;
    border-style: outset;
    border: 2px solid #000;
    border-radius: .3rem;
    box-shadow: 1px 1px 2px #333;
    font-family: "Lexend", sans-serif;
    font-size: 1rem;
    padding: .6rem;
}

    .btn:hover {
        background: #f0e0ff;
        border-style: outset;
        border: 2px solid #000;
        border-radius: .3rem;
        box-shadow: 1px 1px 2px #333;
    }

    .btn:active {
        box-shadow: 1px 1px 2px #eee;
    }

img {
    width: 100%;
}

input::placeholder {
    color: #ccc; /* Cambia esto por el color que quieras */
    opacity: 1; /* Firefox baja la opacidad por defecto, esto la corrige */
}

.swal2-confirm {
    background-color: #28a745 !important; /* Verde */
    box-shadow: none !important;
}

/* Botón de cancelar */
.swal2-cancel {
    background-color: #dc5446 !important; /* Gris */
}

/* Cambiar el radio de los bordes para que sean más cuadrados o redondos */
.swal2-styled {
    border-radius: 5px !important;
}




h1:focus {
    outline: none;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid #e50000;
}

.validation-message {
    color: #F88;;
    text-align: center;
    text-shadow: 1px 1px 0px #8a0404;
}

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

.darker-border-checkbox.form-check-input {
    border-color: #929292;
}

.form-floating > .form-control-plaintext::placeholder, .form-floating > .form-control::placeholder {
    color: var(--bs-secondary-color);
    text-align: end;
}

.form-floating > .form-control-plaintext:focus::placeholder, .form-floating > .form-control:focus::placeholder {
    text-align: start;
}
